org.apache.poi.hssf.record

## Class FtCblsSubRecord

- java.lang.Object
- - org.apache.poi.hssf.record.SubRecord
  - - org.apache.poi.hssf.record.FtCblsSubRecord

- All Implemented Interfaces:
    Duplicatable

      public final class FtCblsSubRecord
      extends SubRecord

  This structure appears as part of an Obj record that represents a checkbox or radio button.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FtCblsSubRecord()` Construct a new `FtCblsSubRecord` and fill its data with the default values
    `FtCblsSubRecord(FtCblsSubRecord other)`
    `FtCblsSubRecord(LittleEndianInput in, int size)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `FtCblsSubRecord` | `clone()` Deprecated.
    `FtCblsSubRecord` | `copy()`
    `protected int` | `getDataSize()`
    `short` | `getSid()`
    `void` | `serialize(LittleEndianOutput out)` Serialize the record data into the supplied array of bytes
    `java.lang.String` | `toString()` Convert this record to string.

    - ### Methods inherited from class org.apache.poi.hssf.record.SubRecord

      `createSubRecord, isTerminating, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FtCblsSubRecord

          public FtCblsSubRecord()

      Construct a new `FtCblsSubRecord` and fill its data with the default values

    - #### FtCblsSubRecord

          public FtCblsSubRecord(FtCblsSubRecord other)

    - #### FtCblsSubRecord

          public FtCblsSubRecord(LittleEndianInput in,
                                 int size)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Convert this record to string. Used by BiffViewer and other utilities.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Serialize the record data into the supplied array of bytes
      Specified by:
        `serialize` in class `SubRecord`
      Parameters:
        `out` - the stream to serialize into

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `SubRecord`
      Returns:
        the size of the data for this record (which is always 4 bytes less than the total record size). Note however, that ushort encoded after the record sid is usually but not always the data size.

    - #### getSid

          public short getSid()

      Returns:
        id of this record.

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public FtCblsSubRecord clone()

      Deprecated.
      Specified by:
        `clone` in class `SubRecord`

    - #### copy

          public FtCblsSubRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `SubRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.